Bug 961280 - RFE: warn about missing packages before disk formatting
RFE: warn about missing packages before disk formatting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified All
medium Severity medium
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt 1056928
  Show dependency treegraph
 
Reported: 2013-05-09 06:40 EDT by Michal Kovarik
Modified: 2015-07-20 11:02 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-23.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1056928 (view as bug list)
Environment:
Last Closed: 2015-07-20 11:02:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart example (343 bytes, text/plain)
2013-05-09 06:40 EDT, Michal Kovarik
no flags Details
anaconda.log (9.99 KB, text/plain)
2013-05-09 07:19 EDT, Michal Kovarik
no flags Details
anaconda-yum.conf (269 bytes, text/plain)
2013-05-09 07:19 EDT, Michal Kovarik
no flags Details
packaging.log (29.32 KB, text/plain)
2013-05-09 07:20 EDT, Michal Kovarik
no flags Details
program.log (21.07 KB, text/plain)
2013-05-09 07:20 EDT, Michal Kovarik
no flags Details
storage.log (70.20 KB, text/plain)
2013-05-09 07:20 EDT, Michal Kovarik
no flags Details
syslog (67.35 KB, text/plain)
2013-05-09 07:21 EDT, Michal Kovarik
no flags Details

  None (edit)
Description Michal Kovarik 2013-05-09 06:40:49 EDT
Created attachment 745611 [details]
kickstart example

Description of problem:
Anaconda should firstly check packages and than start installation. In kickstart installation with package section which contains non-existing package, anaconda prepared partitions and then reported missing package.

Version-Release number of selected component (if applicable):
Fedora 19 Beta TC3 
anaconda 19.24-1

How reproducible:
Always

Steps to Reproduce:
1. prepare kickstart with non-existing package:
%packages 
foo1
%end
2. run installation with prepared kickstart

  
Actual results:
Anaconda formats partitions and then informs about missing package

Expected results:
Anaconda informs about missing package firstly

Additional info:
Comment 1 Michal Kovarik 2013-05-09 07:19:27 EDT
Created attachment 745614 [details]
anaconda.log
Comment 2 Michal Kovarik 2013-05-09 07:19:48 EDT
Created attachment 745615 [details]
anaconda-yum.conf
Comment 3 Michal Kovarik 2013-05-09 07:20:10 EDT
Created attachment 745616 [details]
packaging.log
Comment 4 Michal Kovarik 2013-05-09 07:20:30 EDT
Created attachment 745618 [details]
program.log
Comment 5 Michal Kovarik 2013-05-09 07:20:54 EDT
Created attachment 745619 [details]
storage.log
Comment 6 Michal Kovarik 2013-05-09 07:21:15 EDT
Created attachment 745620 [details]
syslog
Comment 7 Fedora End Of Life 2015-01-09 13:05:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.